from fpa_api import FlashPro430_API

fpa_api_dll_dir = "API-DLL\\"
serial_numbers = "*# 20171553 20170248 20180126"
config_file_path = "ConfigFiles\\STM-F429ZI.cfg"
code_file_path = "CodeFiles\\test-STM32-32k.txt"

# Flash PRO-ARM API object initialization
flash_pro_adapter = FlashPro430_API(fpa_api_dll_dir, serial_numbers)

# Get number of connected adapters
instances = flash_pro_adapter.get_instances()

# Get Dll Version
dll_type_ver = flash_pro_adapter.F_DLLTypeVer()

# Init all adapters
result = flash_pro_adapter.F_Initialization()

# Get adapters serial numbers
serials = []
for instance in range(1, instances+1):
    serials.append(flash_pro_adapter.F_Get_FPA_SN(instance))

result = flash_pro_adapter.F_ConfigFileLoad(config_file_path)
result = flash_pro_adapter.F_ReadCodeFile(code_file_path)

flash_pro_adapter.F_Set_FPA_index(1)

flash_pro_adapter.F_Set_MCU_Family_Group(1,1)
result = flash_pro_adapter.F_Get_MCU_Name_list(0, 1)
print(result, type(result))

#result = flash_pro_adapter.F_Verify_Access_to_MCU()

print("Connected adapters: {}".format(instances))
print("DLL Type Version: {}".format(dll_type_ver))
print("List of serial numbers:")
print(serials)


# result = flash_pro_adapter.F_Get_MCU_Name_list(0,1)
# print(result)
# result = flash_pro_adapter.F_CloseInstances()
# print(result)
