from ctypes import cdll

FILE_TI_FORMAT  = 1


fpasel_dll = cdll.LoadLibrary('/usr/lib/x86_64-linux-gnu/libmultifp430.so')

serial_numbers = "*# *"

fpa_instances = fpasel_dll.F_OpenInstancesAndFPAs (serial_numbers)
dll_type_ver = fpasel_dll.F_DLLTypeVer()
result = fpasel_dll.F_Use_Config_INI(0)
result = fpasel_dll.F_Initialization()
serial_number = fpasel_dll.F_Get_FPA_SN(1)


print("discovered adapters: {}".format(fpa_instances))
print ("DLL version: {}".format(dll_type_ver))
print("Adapter serial number: {}".format(serial_number))

config_result = fpasel_dll.F_ConfigFileLoad( '../LinuxCommandLineDemo/TestConfigs/MSP430FR2433.cfg' )
file_result = fpasel_dll.F_ReadCodeFile( FILE_TI_FORMAT, '../LinuxCommandLineDemo/TestCodeFiles/test_1k.txt' )
ap_result = fpasel_dll.F_AutoProgram(0);

print("Config file load: {}".format(config_result));
print("Code file read: {}".format(file_result));
print("Auto Program: {}".format(ap_result));

fpasel_dll.F_CloseInstances()
